using SlnMesnac.WPF.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SlnMesnac.WPF.Views
{
    /// <summary>
    /// StatisticsPageView.xaml 的交互逻辑
    /// </summary>
    public partial class StatisticsPageView : UserControl
    {
        public StatisticsPageView()
        {
            InitializeComponent();
            this.DataContext = new StatisticsPageViewModel();

            

        }
        //在载入行的时候在行表头添加编号	
        private void dgvMH_LoadingRow(object sender, DataGridRowEventArgs e)
        {
            e.Row.Header = (e.Row.GetIndex() + 1).ToString();
        }

      

        private void list_Click(object sender, RoutedEventArgs e)
        {
            listButton.Background = new SolidColorBrush(Color.FromRgb(23, 82, 225));
            modelButton.Background = new SolidColorBrush(Color.FromArgb(255, 56, 78, 131));
            listDataGrid.Visibility = Visibility.Visible;
            modelDataGrid.Visibility = Visibility.Collapsed;
        }

        private void model_Click(object sender, RoutedEventArgs e)
        {
            listButton.Background = new SolidColorBrush(Color.FromArgb(255, 56, 78, 131));
            modelButton.Background = new SolidColorBrush(Color.FromRgb(23, 82, 225));
            listDataGrid.Visibility = Visibility.Collapsed; 
            modelDataGrid.Visibility = Visibility.Visible;
        }
    }
}
